- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# pn_dscp_map_pri_map – CLI command to modify dscp-map-pri-map

New in version 2.8.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to update priority mappings in tables.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
pn_cliswitch string |  | Target switch to run the CLI on.
pn_dsmap string |  | DSCP value(s).
pn_name string |  | Name for the DSCP map.
pn_pri string |  | CoS priority.
state string / required | Choices: update | State the action to perform. Use `update` to modify the dscp-map-pri-map.

## Examples

    - name: dscp map pri map modify
      pn_dscp_map_pri_map:
        pn_cliswitch: 'sw01'
        state: 'update'
        pn_name: 'foo'
        pn_pri: '0'
        pn_dsmap: '40'

    - name: dscp map pri map modify
      pn_dscp_map_pri_map:
        pn_cliswitch: 'sw01'
        state: 'update'
        pn_name: 'foo'
        pn_pri: '1'
        pn_dsmap: '8,10,12,14'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
changed boolean | always | indicates whether the CLI caused changes on the target.
command string | always | the CLI command run on the target node.
stderr list | on error | set of error responses from the dscp-map-pri-map command.
stdout list | always | set of responses from the dscp-map-pri-map command.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pluribus Networks (@rajaspachipulusu17)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.